Bug 164213 - Incorrect ACL for Ungrouped system on satellite
Incorrect ACL for Ungrouped system on satellite
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Ganong
Mike McCune
https://rlx-3-06.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 147875
  Show dependency treegraph
 
Reported: 2005-07-25 20:16 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 23:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2005-07-25 20:16:08 EDT
Description of problem:
THe page for Ungrouped systems on a satellite gives me 'Permission Error' even
though I am logged in as a Org Admin

Steps to Reproduce:
1. Log into a satellite as Org Admin and go to the Systems tab
2. In the left navigation, select 'Systems' and then 'Ungrouped'
  
Actual results:
Permission error

Expected results:
Page that lists ungrouped systems

Additional info:
The problem seems to be in struts-config.xml; the ungrouped list is the only one
that has an acl set in struts-config.xml; the acl seems to be incorrect, though
I don't know what the correct ACL would be (definitely one that gives the org
admin access to the page)

Related to this, I would assume that all the Systems actions
(Inactive/Unentitled/Ungrouped etc.) have the same ACLs
Comment 1 Ken Ganong 2005-07-28 18:19:43 EDT
For these pages, we should be using the same acls that the nav uses to decide
which tabs to show.   We are now.
Comment 2 Mike McCune 2005-07-29 19:32:39 EDT
will qa this.
Comment 3 Mike McCune 2005-07-29 19:35:43 EDT
works fine, prod_ready.

Note You need to log in before you can comment on or make changes to this bug.